org.hibernate.validator.internal.engine

## Class ValidatorFactoryImpl

- java.lang.Object
- - org.hibernate.validator.internal.engine.ValidatorFactoryImpl

- All Implemented Interfaces:
    ValidatorFactory, HibernateValidatorFactory

      public class ValidatorFactoryImpl
      extends Object
      implements HibernateValidatorFactory

  Factory returning initialized `Validator` instances. This is the Hibernate Validator default implementation of the `ValidatorFactory` interface.
  Author:
    Emmanuel Bernard, Hardy Ferentschik, Gunnar Morling, Kevin Pollet (C) 2011 SERLI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorFactoryImpl(ConfigurationState configurationState)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `ConstraintValidatorFactory` | `getConstraintValidatorFactory()`
    `MessageInterpolator` | `getMessageInterpolator()`
    `ParameterNameProvider` | `getParameterNameProvider()`
    `TraversableResolver` | `getTraversableResolver()`
    `List<ValidatedValueUnwrapper<?>>` | `getValidatedValueHandlers()`
    `Validator` | `getValidator()`
    `boolean` | `isFailFast()`
    `<T> T` | `unwrap(Class<T> type)`
    `HibernateValidatorContext` | `usingContext()` Returns a context for validator configuration via options from the Bean Validation API as well as specific ones from Hibernate Validator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidatorFactoryImpl

          public ValidatorFactoryImpl(ConfigurationState configurationState)

  - ### Method Detail

    - #### getValidator

          public Validator getValidator()

      Specified by:
        `getValidator` in interface `ValidatorFactory`

    - #### getMessageInterpolator

          public MessageInterpolator getMessageInterpolator()

      Specified by:
        `getMessageInterpolator` in interface `ValidatorFactory`

    - #### getTraversableResolver

          public TraversableResolver getTraversableResolver()

      Specified by:
        `getTraversableResolver` in interface `ValidatorFactory`

    - #### getConstraintValidatorFactory

          public ConstraintValidatorFactory getConstraintValidatorFactory()

      Specified by:
        `getConstraintValidatorFactory` in interface `ValidatorFactory`

    - #### getParameterNameProvider

          public ParameterNameProvider getParameterNameProvider()

      Specified by:
        `getParameterNameProvider` in interface `ValidatorFactory`

    - #### isFailFast

          public boolean isFailFast()

    - #### getValidatedValueHandlers

          public List<ValidatedValueUnwrapper<?>> getValidatedValueHandlers()

    - #### unwrap

          public <T> T unwrap(Class<T> type)

      Specified by:
        `unwrap` in interface `ValidatorFactory`

    - #### usingContext

          public HibernateValidatorContext usingContext()

      Description copied from interface: `HibernateValidatorFactory`
      Returns a context for validator configuration via options from the Bean Validation API as well as specific ones from Hibernate Validator.
      Specified by:
        `usingContext` in interface `ValidatorFactory`
      Specified by:
        `usingContext` in interface `HibernateValidatorFactory`
      Returns:
        A context for validator configuration.

    - #### close

          public void close()

      Specified by:
        `close` in interface `ValidatorFactory`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved